This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 462999 - yum check-update does not handle renamed packages well
yum check-update does not handle renamed packages well
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-20 06:38 EDT by Julian Sikorski
Modified: 2014-01-21 18:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-01 05:49:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2008-09-20 06:38:00 EDT
Description of problem:
During the transition from livna to rpmfusion, the -nonfree packages were renamed to -freeworld (with proper provides/obsoletes). Unfortunately, it seems that yum does not handle that really well. This also seems to break PackageKit:
[root@snowball jsikorski]# LANG=C yum update
Loaded plugins: fastestmirror, fedorakmod, refresh-packagekit
Loading mirror speeds from cached hostfile
 * livna: wftp.tu-chemnitz.de
 * fedora: ftp.ps.pl
 * updates-newkey: ftp.wsisiz.edu.pl
 * updates: ftp.wsisiz.edu.pl
 * remi: rpms.famillecollet.com
Reducing Les RPM de remi pour Fedora 9 - x86_64 to included packages only
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package xine-lib-extras-freeworld.x86_64 0:1.1.15-2.fc9 set to be updated
---> Package k3b-extras-freeworld.x86_64 0:1.0.5-4.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch   Version      Repository                      Size 
================================================================================
Installing:
 k3b-extras-freeworld x86_64 1.0.5-4.fc9  rpmfusion-free-updates-testing   64 k
     replacing  k3b-extras-nonfree.x86_64 1.0.4-2.lvn9

 xine-lib-extras-freeworld
                      x86_64 1.1.15-2.fc9 rpmfusion-free-updates-testing  573 k
     replacing  xine-lib-extras-nonfree.x86_64 1.1.15-1.lvn9


Transaction Summary
================================================================================
Install      2 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 638 k
Is this ok [y/N]: N
Exiting on user Command
Complete!
[root@snowball jsikorski]# LANG=C yum check-update
Loaded plugins: fastestmirror, fedorakmod, refresh-packagekit
Loading mirror speeds from cached hostfile
 * livna: wftp.tu-chemnitz.de
 * fedora: ftp.ps.pl
 * updates-newkey: ftp.wsisiz.edu.pl
 * updates: ftp.wsisiz.edu.pl
 * remi: rpms.famillecollet.com
Reducing Les RPM de remi pour Fedora 9 - x86_64 to included packages only
Finished
[root@snowball jsikorski]# pkcon get-updates
[root@snowball jsikorski]#

Version-Release number of selected component (if applicable):
yum-3.2.19-3.fc9

How reproducible:
always

Steps to Reproduce:
1. Add livna repository
2. Install e.g. xine-lib-extras-nonfree
3. Add rpmfusion repository
4. Run the commands above
  
Actual results:
Neither yum check-update nor pkcon get-updates list show available updates

Expected results:
Updates are shown
Comment 1 Rex Dieter 2008-09-20 11:10:16 EDT
> Neither yum check-update nor pkcon get-updates list show available updates

More than likely, these only check for *updates*, and not Obsoletes
Comment 2 Tim Lauridsen 2008-09-22 03:31:05 EDT
The packagekit 'get-updates' only return updates, not obsoletes.

But if you do a full update it will process the obsoletes, but they wont show up i the list :(.

I have fixed it in upstream PackageKit so 'get-updates' will return obsoletes too.

yum check-updates only shows real updates, not obsoletes.

Note You need to log in before you can comment on or make changes to this bug.